Subject: (urth) ultan

From: Marc Aramini <marcaramini at yahoo.com>
Date: Thu, 26 Jun 2008 15:46:33 +0000

I never really put much speculation into the relationship between ultan and the carrot woman at the grave, but the conversation between ultan and sev about the drachm of sticky fluid that insures a man&#39;s face will survive many generations certainly becomes more relevant if there is a potential application within the scene.  Alas, I give little credence to putting Ultan in Sev&#39;s family tree as of yet, but something creepy and important is lurking in the subtext of that encounter beyond foreshadowing the alzabo, I am sure.